Package org.apache.storm.pacemaker

## Class PacemakerClient

- java.lang.Object
- - org.apache.storm.pacemaker.PacemakerClient

- All Implemented Interfaces:
    `ISaslClient`

      public class PacemakerClient
      extends Object
      implements ISaslClient

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `PacemakerClient​(Map<String,​Object> config, String host)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `channelReady​(org.apache.storm.shade.io.netty.channel.Channel channel)` |
    `void` | `close()` |
    `void` | `doReconnect()` |
    `void` | `gotMessage​(HBMessage m)` |
    `String` | `name()` |
    `void` | `reconnect()` |
    `String` | `secretKey()` |
    `HBMessage` | `send​(HBMessage m)` |
    `void` | `shutdown()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PacemakerClient

          public PacemakerClient​(Map<String,​Object> config,
                                 String host)

  - ### Method Detail

    - #### channelReady

          public void channelReady​(org.apache.storm.shade.io.netty.channel.Channel channel)

      Specified by:
        `channelReady` in interface `ISaslClient`

    - #### name

          public String name()

      Specified by:
        `name` in interface `ISaslClient`

    - #### secretKey

          public String secretKey()

      Specified by:
        `secretKey` in interface `ISaslClient`

    - #### send

          public HBMessage send​(HBMessage m)
                         throws PacemakerConnectionException,
                                InterruptedException

      Throws:
        `PacemakerConnectionException`
        `InterruptedException`

    - #### gotMessage

          public void gotMessage​(HBMessage m)

    - #### reconnect

          public void reconnect()

    - #### doReconnect

          public void doReconnect()

    - #### shutdown

          public void shutdown()

    - #### close

          public void close()